; demo of calculating xrt_flux
;
date1='2018/09/08'
;
;*** prepare spectrum file ***
dir_spec = '$SSW/hinode/xrt/idl/response/solar_spectrum/'
spfile = dir_spec+'solspec_ch1010_corona_chianti.genx'
restgen, te_spectrum, lambda_spectrum, spectrum, file = spfile

;*** get pre-filter open faction
frac_open=get_pf_openfrac(date1)

;*** get factor of filter contamination for Al_poly ****
fctm_fact = get_fctm_fact7_10(date1)

;*** calculate flux 
; (you can alternatively use index, instead of filter pair and time)  ***
te = 5.+findgen(61)*0.05
flux1 = xrt_flux1010_slmd_fctm(te, 1,0, date1, lambda_spectrum = lambda_spectrum, te_spectrum = te_spectrum, spectrum = spectrum, frac_open=frac_open, fctm_fact=f1ctm_fact)

end
